class UndefinedCommunicationMethodError(Exception):
    def __init__(self, port: str):
        method = port.split( "::" )[0]
        super().__init__( f"ERROR: Undefined Communication Exception, Method \"{method}\" is not recognized in Port \"{port}\"." )

